Subject: Re: [PATCH v4 0/8] hash.h: support choosing a separate SHA-1 for non-cryptographic uses

From: Taylor Blau <[email-masked]>
Date: Wed, 25 Sep 2024 13:22:50 -0400

On Wed, Sep 25, 2024 at 10:11:20AM -0700, Junio C Hamano wrote:
> Elijah Newren <[email-masked]> writes:
>
> >>     -    these callers are safe to use the fast (and potentially non-collision
> >>     +    these callers are safe to use the unsafe (and potentially non-collision
> >>          detecting) SHA-1 implementation.
> >
> > Is the "and potentially non-collision detecting" parenthetical comment
> > still needed now that it's referred to as unsafe?  Even if we keep
> > most of it, maybe we should drop the "and"?
>
> I appreciate a careful reading like this.  The use of "unsafe"
> becomes easier to understandable if we lost "potentially", e.g.
>
> 	are safe to use the unsafe SHA-1 implementation that does
> 	not attempt to detect collisions.

Me too. I ended up with a slightly different wording that matches
Elijah's more than your own, but I appreciate the careful review from
both of you.

> > This patch was also fast->unsafe translations; I identified two above
> > that I think should get some tweaks.
>
> Thanks for carefully reading.

Ditto.

Thanks,
Taylor